Bug 457207 - Review Request: python-cssutils - CSS Cascading Style Sheets library for Python
Review Request: python-cssutils - CSS Cascading Style Sheets library for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 438609
  Show dependency treegraph
 
Reported: 2008-07-30 05:22 EDT by Matthias Saou
Modified: 2008-10-15 22:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 22:05:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2008-07-30 05:22:54 EDT
Spec and SRPM URL: http://thias.fedorapeople.org/review/python-cssutils/
Description:
A Python package to parse and build CSS Cascading Style Sheets. DOM only, not
any rendering facilities.
Comment 1 Peter Robinson 2008-07-31 10:08:16 EDT
There looks to be a final 0.9.5 release available now.
Comment 2 Matthias Saou 2008-08-08 07:16:57 EDT
(In reply to comment #1)
> There looks to be a final 0.9.5 release available now.

I've just updated the package.
Comment 3 Matthias Saou 2008-08-19 09:32:02 EDT
* Tue Aug 19 2008 Matthias Saou <http://freshrpms.net/> 0.9.5.1-1
- Update to 0.9.5.1.
Comment 4 Michael Schwendt 2008-10-07 12:43:54 EDT
* Licence has changed:
cssutils is published under the LGPL 3 or later (from 0.9.5b3, before it was the LGPL 2.1) 

* rpmlint reports wrong-file-end-of-line-encoding for %doc files

* The /usr/bin/css* executables "Requires: python-setuptools" or else
they traceback!

* Group "Applications/Multimedia"? Rather Development/Libraries, but
the groups are too limited.

* The generated html documentation for the API could be put
into a separate -docs package.

Rest looks fine.
Comment 5 Matthias Saou 2008-10-09 11:40:11 EDT
(In reply to comment #4)

> * Licence has changed:

Good catch!

> * rpmlint reports wrong-file-end-of-line-encoding for %doc files

I had left out the removing of *.tmp files in the hack I had made to convert docs to the right EOF, those were probably the ones reported as having it wrong and it should be fixed now.

> * The /usr/bin/css* executables "Requires: python-setuptools" or else
> they traceback!

Another good catch!

> * Group "Applications/Multimedia"? Rather Development/Libraries, but
> the groups are too limited.

True. Changed.

> * The generated html documentation for the API could be put
> into a separate -docs package.

It's only 100kB uncompressed once the *.tmp files are no longer there, so not worth it IMHO.

Thanks a lot for the review. I've put python-cssutils-0.9.5.1-2 in the same location.
Comment 6 Michael Schwendt 2008-10-10 07:18:31 EDT
* BuildRequires: python-setuptools

is needed, too, or else it complains and starts downloading it
from python.org:

* I refer to the epydoc generated files in the "doc" directory:

$ du -h doc
14M     doc

And >1M compressed. *If* to be packaged, they must go into a -doc
sub-package according to the review guidelines.

* That's stuff that can be added in cvs, however, so:

APPROVED: python-cssutils-0.9.5.1-2
Comment 7 Matthias Saou 2008-10-10 08:03:33 EDT
All this is now fixed in 0.9.5.1-3 which is in the same location in case you want to have a quick look just in case.
Comment 8 Matthias Saou 2008-10-10 08:06:00 EDT
New Package CVS Request
=======================
Package Name: python-cssutils
Short Description: CSS Cascading Style Sheets library for Python
Owners: thias
Branches: F-9
InitialCC:
Comment 9 Kevin Fenzi 2008-10-10 19:06:39 EDT
cvs done.
Comment 10 Fedora Update System 2008-10-13 05:15:25 EDT
python-cssutils-0.9.5.1-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-cssutils-0.9.5.1-3.fc9
Comment 11 Fedora Update System 2008-10-15 22:05:35 EDT
python-cssutils-0.9.5.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.